Subject: Bug#531221: okular: Arbitrarily enforces DRM

From: John Goerzen <[email-masked]>
Date: Sat, 30 May 2009 21:35:17 -0500

On Sun, May 31, 2009 at 03:30:33AM +0200, Pino Toscano wrote:
> Hi,
> 
> Okular maintainer (upstream, and cooperating in Debian) speaking here.
> 
> > I just downloaded a PDF, and tried to copy and paste a bit of text
> > from it.  I used the selection tool, and Okular offered to speak it to
> > me, but said "Copy forbidden by DRM."
> 
> This means the author of the PDF set that users shouldn't (in their will) copy 
> the text from their PDF.
> You can disable the usage of document permissions by disabling the related 
> option from the preferences.

I checked, and do see that option.  But why is it on by default?  Or
even there at all?

> > So what I want to know is: why are people putting code into Debian
> > that limits our freedom?  Why are people putting such code into KDE?
> 
> If you feel limited in "your freedom", then go complaining about Adobe and the 
> ISO 32000, aka the standardization of the PDF format, because, in case you 
> don't know, those permissions are features of the PDF format,
> nothing Okular 

False.  I'm not running Adobe code on my system.  I'm running Okular
code on my system.  It is entirely within the power of the developers
of Okular to decide whether or not to implement this "feature".  The
cheaper option in terms of developer time would have been to ignore
that flag.

> enforces on its own. And given that it is a feature of a file format just like 
> annotations or sounds, people could use it (for example in corporate 
> environments to avoid documents or parts of them being leaked or
> so).

But we all know it's trivial to work around.  pdftotext will do it,
and Okular will even do it if you untick that box.  It's no real
security at all.  It's a bit in a file, not some sort of encryption
scheme.  Why are we honoring it?

> > And can we please patch it to stop that?
> 
> Option is there, you have also the freedom to use it.

It should be off by default, then, and the error message should
clearly state where to go to turn it off.

> > Indeed, the program is clearly broken by design and needs to be fixed.
> 
> The program is just following a file format in that regard AND providing the 
> option to not to, so nothing to be fixed.

Pfft.  You are causing incompatibility with nothing if you ignore that
flag.  You are causing incompatibility with things if you honor it.
What is the point to honoring it?